<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		// creamos un string
		var n="esto es un ejemplo";

		// creo un array que contiene lo mismo que el string
		var vector=n.split("");

		// creo el contador 
		var vocales=0;

		/* recorrer el array */
		for(var c=0;c<vector.length;c++){
			switch(vector[c]){
				case 'a':
				case 'e':
				case 'i':
				case 'o':
				case 'u':
					vocales++;
					vector[c]="-";
			}
		}

		console.log(vocales);
		console.log(vector);

		n=vector.toString();

		console.log(nç);

	</script>
</head>
<body>
	
</body>
</html>